Package waffle.jaas

# Class UserPrincipal

java.lang.Object
waffle.jaas.UserPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public class UserPrincipal extends Object implements Principal, Serializable
User Principal.

Author:
  dblock[at]dblock[dot]org
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UserPrincipal(String newFqn)`
A user principal.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getName()`
Fully qualified username.
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies, toString`

## Constructor Details

### UserPrincipal

public UserPrincipal(String newFqn)
A user principal.

Parameters:
  `newFqn` - Fully qualified username.

## Method Details

### getName

public String getName()
Fully qualified username.

Specified by:
  `getName` in interface `Principal`
Returns:
  the name

### equals

public boolean equals(Object o)

Specified by:
  `equals` in interface `Principal`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `Principal`
Overrides:
  `hashCode` in class `Object`